type RequireKeys<T, K extends keyof T> = Required<Pick<T, K>> & Omit<T, K>;
export interface PersistedQueryManifestConfig {
    documents?: string | string[];
    documentIgnorePatterns?: string | string[];
    output?: string;
}
type DefaultPersistedQueryManifestConfig = RequireKeys<PersistedQueryManifestConfig, "documents" | "documentIgnorePatterns" | "output">;
export interface PersistedQueryManifestOperation {
    id: string;
    name: string;
    type: "query" | "mutation" | "subscription";
    body: string;
}
export interface PersistedQueryManifest {
    format: "apollo-persisted-query-manifest";
    version: 1;
    operations: PersistedQueryManifestOperation[];
}
export declare const defaults: DefaultPersistedQueryManifestConfig;
export declare function generatePersistedQueryManifest(config?: PersistedQueryManifestConfig): Promise<PersistedQueryManifest>;
export {};
//# sourceMappingURL=index.d.ts.map